%define srcname xf86-video-radeonhd
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-radeonhd
Version: 1.0.0
Release: alt0.M40.1
Serial: 1
Summary: AMD r5xx/r6xx driver for Xorg
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Requires: xorg-x11-server
Provides: x11-driver-radeonhd
Obsoletes: xorg-x11-drv-avivo

BuildRequires: libdrm-devel libmesa-devel libpciaccess-devel xorg-x11-sdk xorg-x11-proto-devel
BuildRequires: xorg-x11-util-macros libxorgconfig-devel

%description
Driver for AMD GPG r5xx/r6xx Chipsets

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_x11modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_hwdatadir
sed -ne 's|^[[:space:]]*RHD_DEVICE.*0x\([0-9A-F]*\)\,[[:space:]].*\/\*[[:space:]]*\(.*\)[[:space:]]*\*\/.*|alias pcivideo:v00001002d0000\1sv*sd*bc*sc*i* radeonhd # \2|p' src/rhd_id.c \
	> %buildroot%_hwdatadir/radeonhd.xinf

%files
%_x11modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*.4*

%changelog
* Fri Nov 30 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0-alt0.M40.1
- build for branch 4.0

* Fri Nov 30 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0-alt1
- Version 1.0.0
  - First released version.
  - Full modesetting driver, capable of driving multiple monitors.
  - Support for VGA, DVI, DMS-59, and laptop panels.
  - Support for monitor hotplug detection, DDC, and dynamic reconfiguration.
  - Full RandR 1.2 compatibility.
  - AtomBIOS support for initialization, data tables, etc.
  - Early RandR 1.3 property support (subject to change).
  - Hardware cursor support.
  - No 2D & 3D acceleration, no XVideo yet. No TV, Component, and HDMI yet.

* Sun Nov 25 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.0.4-alt1
- 0.0.4

* Thu Nov 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.0.3-alt1
- 0.0.3

* Fri Nov 16 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.0.2-alt2
- GIT snapshot 2007-11-15 (78954e2c72af530b08413395da79953b4b939d52)
  + Added Radeon X1250

* Wed Oct 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.0.2-alt1
- GIT snapshot 2007-10-23 (8699deaba2c920a3df35acfea49360888868becb)

* Mon Oct 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.1.1-alt3
- GIT snapshot 2007-10-15 (ba33954c52d92d8cbf634bbdc9b6a033e381eb5b)

* Wed Oct 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.1.1-alt2
- GIT snapshot 2007-10-09 (26550c72ad588bfa9956a5ce81c2f80381d505f9)

* Mon Oct 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.1.1-alt1
- GIT snapshot 2007-09-28 (77c7f3f06aebde6d715fbdfc0da2dbb9e7e52279)
